#! /bin/bash

# Compute a checksum for a directory.  All checksum commands operate on
# single files.  This creates a list of checksums and then checksums
# that list.
#
# Command line arguments
#    The directory to checksum

# There must be a commnand line argument
if (( $# != 1 )); then
   echo One command line argument must be specified.
   exit 1
fi

# The command line argument must be a directory
if [ ! -d $1 ]; then
   echo The command line argument must be a directory
   exit 1
fi

# Find files, checksum them, sort them since find isn't deterministic
# for order, and then checksum the result.
cd $1
find . -type f -exec md5sum '{}' \; | sort | md5sum
