<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
   This file transforms an XML file containing a list of recent
   dsply_specs script files into an ActionGroup which may then be input
   and processed by CUI.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      version="1.0">
   <xsl:output method="xml" indent="yes" />

   <!--
      Starting point for the transform.
   -->
   <xsl:template match="/">
      <ActionGroup baseDirectory="/specs">
         <xsl:apply-templates />
      </ActionGroup>
   </xsl:template>

   <!--
      Transform an individual filename.
   -->
   <xsl:template match="//file">
      <xsl:element name="launchItem">
         <xsl:attribute name="tooltip">Display this dsply_specs script file.</xsl:attribute>
         <xsl:attribute name="repeatable">false</xsl:attribute>
         <xsl:attribute name="hotkey">ctrl typed "d"</xsl:attribute>
         <xsl:attribute name="facadeRequired">true</xsl:attribute>
         <xsl:attribute name="labelPrefix">Display</xsl:attribute>
         <xsl:attribute name="command">generic_java com.cybermetrix.cyflex.cui.display.DsplySpecs <xsl:value-of select="text()" /></xsl:attribute>
         <xsl:attribute name="command_wait">false</xsl:attribute>
         <xsl:attribute name="command_local">true</xsl:attribute>
         <xsl:apply-templates />
      </xsl:element>
   </xsl:template>
</xsl:stylesheet>
